| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
MemberDescriptor Class Referenceabstract

`#include <MemberDescriptor.hpp>`

## Public Types

using | _ref_type = typename traits<MemberDescriptor>::ref_type

## Public Member Functions

virtual ObjectName & | name ()=0
| Returns the name of this member.
virtual const ObjectName & | name () const =0
| Returns the name of this member.
virtual void | name (const ObjectName &name)=0
| Modifies the underlying member's name by copy.
virtual void | name (ObjectName &&name)=0
| Modifies the underlying member's name by move.
virtual MemberId | id () const =0
| Returns the MemberId of the member.
virtual MemberId & | id ()=0
| Returns the MemberId of the member.
virtual void | id (MemberId id)=0
| Modifies the underlying MemberId.
virtual traits< DynamicType >::ref_type | type () const =0
| Returns a reference to the member's type.
virtual traits< DynamicType >::ref_type & | type ()=0
| Returns a reference to the member's type.
virtual void | type (traits< DynamicType >::ref_type type)=0
| Modifies the underlying member's type reference.
virtual std::string & | default_value ()=0
| Returns the default value.
virtual const std::string & | default_value () const =0
| Returns the default value.
virtual void | default_value (const std::string &default_value)=0
| Modifies the underlying default value by copy.
virtual void | default_value (std::string &&default_value)=0
| Modifies the underlying default value by move.
virtual uint32_t & | index ()=0
| Returns the order of definition of the member.
virtual uint32_t | index () const =0
| Returns the order of definition of the member.
virtual const UnionCaseLabelSeq & | label () const =0
| Returns the labels the member belongs to.
virtual UnionCaseLabelSeq & | label ()=0
| Returns the labels the member belongs to.
virtual void | label (const UnionCaseLabelSeq &label)=0
| Modifies the labels the member belongs to by copy.
virtual void | label (UnionCaseLabelSeq &&label)=0
| Modifies the labels the member belongs to by move.
virtual TryConstructKind | try_construct_kind () const =0
| Returns the TryConstructKind of the member.
virtual TryConstructKind & | try_construct_kind ()=0
| Returns the TryConstructKind of the member.
virtual void | try_construct_kind (TryConstructKind try_construct_kind)=0
| Modifies the TryConstructKind of the member.
virtual bool | is_key () const =0
| Returns the if the member is key.
virtual bool & | is_key ()=0
| Returns the if the member is key.
virtual void | is_key (bool is_key)=0
| Modifies if the member is key.
virtual bool | is_optional () const =0
| Returns the if the member is optional.
virtual bool & | is_optional ()=0
| Returns the if the member is optional.
virtual void | is_optional (bool is_optional)=0
| Modifies if the member is optional.
virtual bool | is_must_understand () const =0
| Returns the if the member is must_understand.
virtual bool & | is_must_understand ()=0
| Returns the if the member is must_understand.
virtual void | is_must_understand (bool is_must_understand)=0
| Modifies if the member is must_understand.
virtual bool | is_shared () const =0
| Returns the if the member is shared.
virtual bool & | is_shared ()=0
| Returns the if the member is shared.
virtual void | is_shared (bool is_shared)=0
| Modifies if the member is shared.
virtual bool | is_default_label () const =0
| Returns the if the member is default_label.
virtual bool & | is_default_label ()=0
| Returns the if the member is default_label.
virtual void | is_default_label (bool is_default_label)=0
| Modifies if the member is default_label.
virtual ReturnCode_t | copy_from (traits< MemberDescriptor >::ref_type descriptor)=0
| Overwrites the contents of this descriptor with those of another descriptor (see [standard] 7.5.2.7.1).
virtual bool | equals (traits< MemberDescriptor >::ref_type descriptor)=0
| Compares according with the [standard] section 7.5.2.7.4.
virtual bool | is_consistent ()=0
| Indicates whether the states of all of this descriptor's properties are consistent according with the [standard] section 7.5.2.7.7.

## Protected Member Functions

| MemberDescriptor ()=default
| MemberDescriptor (const MemberDescriptor &type)=default
| MemberDescriptor (MemberDescriptor &&type)=default
virtual | ~MemberDescriptor ()=default

## Member Typedef Documentation

## ◆ _ref_type

using _ref_type = typename traits<MemberDescriptor>::ref_type

## Constructor & Destructor Documentation

## ◆ MemberDescriptor() [1/3]

MemberDescriptor | ( |  | ) |

protected default

## ◆ MemberDescriptor() [2/3]

MemberDescriptor | ( | const MemberDescriptor & | type | ) |

protected default

## ◆ MemberDescriptor() [3/3]

MemberDescriptor | ( | MemberDescriptor && | type | ) |

protected default

## ◆ ~MemberDescriptor()

virtual ~MemberDescriptor | ( |  | ) |

protected virtual default

## Member Function Documentation

## ◆ copy_from()

virtual ReturnCode_t copy_from | ( | traits< MemberDescriptor >::ref_type | descriptor | ) |

pure virtual

Overwrites the contents of this descriptor with those of another descriptor (see [standard] 7.5.2.7.1).

Parameters

  [in] | descriptor | reference.

Returns
  ReturnCode_t

Return values

  RETCODE_OK | when the copy was successful.
  RETCODE_BAD_PARAMETER | when descriptor reference is nil.

## ◆ default_value() [1/4]

virtual const std::string & default_value | ( |  | ) | const

pure virtual

Returns the default value.

Returns
  Default value.

## ◆ default_value() [2/4]

virtual std::string & default_value | ( |  | ) |

pure virtual

Returns the default value.

Returns
  Default value.

## ◆ default_value() [3/4]

virtual void default_value | ( | const std::string & | default_value | ) |

pure virtual

Modifies the underlying default value by copy.

Parameters

  [in] | default_value | Default value.

## ◆ default_value() [4/4]

virtual void default_value | ( | std::string && | default_value | ) |

pure virtual

Modifies the underlying default value by move.

Parameters

  [in] | default_value | Default value.

## ◆ equals()

virtual bool equals | ( | traits< MemberDescriptor >::ref_type | descriptor | ) |

pure virtual

Compares according with the [standard] section 7.5.2.7.4.

Parameters

  [in] | descriptor | reference to compare to.

Returns
  bool true on equality

## ◆ id() [1/3]

virtual MemberId id | ( |  | ) | const

pure virtual

Returns the MemberId of the member.

Returns
  MemberId.

## ◆ id() [2/3]

virtual MemberId & id | ( |  | ) |

pure virtual

Returns the MemberId of the member.

Returns
  MemberId.

## ◆ id() [3/3]

virtual void id | ( | MemberId | id | ) |

pure virtual

Modifies the underlying MemberId.

Parameters

  [in] | id | MemberId to be set.

## ◆ index() [1/2]

virtual uint32_t index | ( |  | ) | const

pure virtual

Returns the order of definition of the member.

Returns
  Order of definition.

## ◆ index() [2/2]

virtual uint32_t & index | ( |  | ) |

pure virtual

Returns the order of definition of the member.

Returns
  Order of definition.

## ◆ is_consistent()

virtual bool is_consistent | ( |  | ) |

pure virtual

Indicates whether the states of all of this descriptor's properties are consistent according with the [standard] section 7.5.2.7.7.

Returns
  bool true if consistent.

## ◆ is_default_label() [1/3]

virtual bool is_default_label | ( |  | ) | const

pure virtual

Returns the if the member is default_label.

Returns
  If the member is default_label.

## ◆ is_default_label() [2/3]

virtual bool & is_default_label | ( |  | ) |

pure virtual

Returns the if the member is default_label.

Returns
  If the member is default_label.

## ◆ is_default_label() [3/3]

virtual void is_default_label | ( | bool | is_default_label | ) |

pure virtual

Modifies if the member is default_label.

Parameters

  [in] | is_default_label | Boolean

## ◆ is_key() [1/3]

virtual bool is_key | ( |  | ) | const

pure virtual

Returns the if the member is key.

Returns
  If the member is key.

## ◆ is_key() [2/3]

virtual bool & is_key | ( |  | ) |

pure virtual

Returns the if the member is key.

Returns
  If the member is key.

## ◆ is_key() [3/3]

virtual void is_key | ( | bool | is_key | ) |

pure virtual

Modifies if the member is key.

Parameters

  [in] | is_key | Boolean

## ◆ is_must_understand() [1/3]

virtual bool is_must_understand | ( |  | ) | const

pure virtual

Returns the if the member is must_understand.

Returns
  If the member is must_understand.

## ◆ is_must_understand() [2/3]

virtual bool & is_must_understand | ( |  | ) |

pure virtual

Returns the if the member is must_understand.

Returns
  If the member is must_understand.

## ◆ is_must_understand() [3/3]

virtual void is_must_understand | ( | bool | is_must_understand | ) |

pure virtual

Modifies if the member is must_understand.

Parameters

  [in] | is_must_understand | Boolean

## ◆ is_optional() [1/3]

virtual bool is_optional | ( |  | ) | const

pure virtual

Returns the if the member is optional.

Returns
  If the member is optional.

## ◆ is_optional() [2/3]

virtual bool & is_optional | ( |  | ) |

pure virtual

Returns the if the member is optional.

Returns
  If the member is optional.

## ◆ is_optional() [3/3]

virtual void is_optional | ( | bool | is_optional | ) |

pure virtual

Modifies if the member is optional.

Parameters

  [in] | is_optional | Boolean

## ◆ is_shared() [1/3]

virtual bool is_shared | ( |  | ) | const

pure virtual

Returns the if the member is shared.

Returns
  If the member is shared.

## ◆ is_shared() [2/3]

virtual bool & is_shared | ( |  | ) |

pure virtual

Returns the if the member is shared.

Returns
  If the member is shared.

## ◆ is_shared() [3/3]

virtual void is_shared | ( | bool | is_shared | ) |

pure virtual

Modifies if the member is shared.

Parameters

  [in] | is_shared | Boolean

## ◆ label() [1/4]

virtual const UnionCaseLabelSeq & label | ( |  | ) | const

pure virtual

Returns the labels the member belongs to.

Returns
  UnionCaseLabelSeq.

## ◆ label() [2/4]

virtual UnionCaseLabelSeq & label | ( |  | ) |

pure virtual

Returns the labels the member belongs to.

Returns
  UnionCaseLabelSeq.

## ◆ label() [3/4]

virtual void label | ( | const UnionCaseLabelSeq & | label | ) |

pure virtual

Modifies the labels the member belongs to by copy.

Parameters

  [in] | label | UnionCaseLabelSeq

## ◆ label() [4/4]

virtual void label | ( | UnionCaseLabelSeq && | label | ) |

pure virtual

Modifies the labels the member belongs to by move.

Parameters

  [in] | label | UnionCaseLabelSeq

## ◆ name() [1/4]

virtual const ObjectName & name | ( |  | ) | const

pure virtual

Returns the name of this member.

Returns
  Member's name.

## ◆ name() [2/4]

virtual ObjectName & name | ( |  | ) |

pure virtual

Returns the name of this member.

Returns
  Member's name.

## ◆ name() [3/4]

virtual void name | ( | const ObjectName & | name | ) |

pure virtual

Modifies the underlying member's name by copy.

Parameters

  [in] | name | Member's name.

## ◆ name() [4/4]

virtual void name | ( | ObjectName && | name | ) |

pure virtual

Modifies the underlying member's name by move.

Parameters

  [in] | name | Member's name.

## ◆ try_construct_kind() [1/3]

virtual TryConstructKind try_construct_kind | ( |  | ) | const

pure virtual

Returns the TryConstructKind of the member.

Returns
  TryConstructKind.

## ◆ try_construct_kind() [2/3]

virtual TryConstructKind & try_construct_kind | ( |  | ) |

pure virtual

Returns the TryConstructKind of the member.

Returns
  TryConstructKind.

## ◆ try_construct_kind() [3/3]

virtual void try_construct_kind | ( | TryConstructKind | try_construct_kind | ) |

pure virtual

Modifies the TryConstructKind of the member.

Parameters

  [in] | try_construct_kind | TryConstructKind.

## ◆ type() [1/3]

virtual traits< DynamicType >::ref_type type | ( |  | ) | const

pure virtual

Returns a reference to the member's type.

Returns
  DynamicType reference.

## ◆ type() [2/3]

virtual traits< DynamicType >::ref_type & type | ( |  | ) |

pure virtual

Returns a reference to the member's type.

Returns
  DynamicType reference.

## ◆ type() [3/3]

virtual void type | ( | traits< DynamicType >::ref_type | type | ) |

pure virtual

Modifies the underlying member's type reference.

Parameters

  [in] | type | DynamicType reference.

The documentation for this class was generated from the following file:

- include/fastdds/dds/xtypes/dynamic_types/MemberDescriptor.hpp